update-manager crashed with GError in restore_state()

Bug #261471 reported by jyb on 2008-08-26
330
This bug affects 45 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: update-manager

Update-Manager crashed while running in command line.

ProblemType: Crash
Architecture: amd64
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/bin/update-manager
InterpreterPath: /usr/bin/python2.5
NonfreeKernelModules: nvidia
Package: update-manager 1:0.93.4
PackageArchitecture: all
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python2.5 /usr/bin/update-manager -c -d
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=fr_FR.UTF-8
 LANGUAGE=fr_FR:fr:en_GB:en
PythonArgs: ['/usr/bin/update-manager', '-c', '-d']
SourcePackage: update-manager
Title: update-manager crashed with GError in restore_state()
Uname: Linux 2.6.24-19-server x86_64
UserGroups: audio

jyb (jeanyves-bossard) wrote :
Michael Vogt (mvo) wrote :

Thanks for your bugreport. this looks like something is wrong with your gconf setup.

Could you please run:
/usr/lib/libgconf2-4/gconf-sanity-check-2 ; echo $?

Changed in update-manager:
assignee: nobody → mvo
status: New → Incomplete

Hello,

Thanks for your answer.
Here the output :

root@jybstation:/home/jyb# /usr/lib/libgconf2-4/gconf-sanity-check-2 ;
echo $?
0

Regards,

--
Jean-Yves
/***
Le club "StarinuX" sympa,convivial,dynamique !
Linux user registered as #363916
http://jeanyves.bossard.free.fr

Michael Vogt a écrit :
> Thanks for your bugreport. this looks like something is wrong with your
> gconf setup.
>
> Could you please run:
> /usr/lib/libgconf2-4/gconf-sanity-check-2 ; echo $?
>
>
> ** Changed in: update-manager (Ubuntu)
> Assignee: (unassigned) => Michael Vogt (mvo)
> Status: New => Incomplete
>

Zillode (zillode) wrote :

Got same bug today (fully updated 64bit jaunty at 2009-04-03)

lhoste@lhoste-laptop:~$ /usr/lib/libgconf2-4/gconf-sanity-check-2 ; echo $?
0

Michael Vogt (mvo) wrote :

Thanks, this should be adressed by wrapping gconfclient so that it does catch all GErrors and logs the error and returns default values in this case. I really think this is a gconf issue, but u-m should be more robust.

Changed in update-manager (Ubuntu):
milestone: none → later
status: Incomplete → Triaged
mohamed (prog4me-com) wrote :

hello

this is the output

mohamed@mohamed-desktop:~$ /usr/lib/libgconf2-4/gconf-sanity-check-2 ; echo $?
0

Paul Libert (plibert) wrote :

Got the same type of error but it seems it's not limited to update manager.
firefox, gnome-terminal, ...
Also I've no way to save any settings change any more.

running a Karmic alpha5 install updated twice a day

uname -a
Linux computer 2.6.31-11-generic #38-Ubuntu SMP Fri Oct 2 11:06:40 UTC 2009 x86_64 GNU/Linux

/usr/lib/libgconf2-4/gconf-sanity-check-2; echo $?
0

ps -efH | grep gconfd
user 4077 2489 0 19:48 pts/0 00:00:00 grep gconfd
user 2736 1 0 19:08 ? 00:00:00 /usr/lib/libgconf2-4/gconfd-2

torstenaf (afguy) wrote :

I'm hosed, can't run update-manager. update-manager was working fine before Koala.

Here's the output from command line:

update-manager
error from gconf: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details - 1: Server ping error: IDL:omg.org/CORBA/COMM_FAILURE:1.0)
Error setting launch_time: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details - 1: Server ping error: IDL:omg.org/CORBA/COMM_FAILURE:1.0)
Traceback (most recent call last):
  File "/usr/bin/update-manager", line 107, in <module>
    app = UpdateManager(data_dir, options)
  File "/usr/lib/python2.6/dist-packages/UpdateManager/UpdateManager.py", line 204, in __init__
    self.restore_state()
  File "/usr/lib/python2.6/dist-packages/UpdateManager/UpdateManager.py", line 706, in restore_state
    expanded = self.gconfclient.get_bool("/apps/update-manager/show_details")
glib.GError: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details - 1: Server ping error: IDL:omg.org/CORBA/COMM_FAILURE:1.0)

Vivek Taparia (vivektaparia) wrote :

Also Janitor is crashing. And I have also seen msg like partial updates etc, not sure how to fix them.

Michael Vogt (mvo) on 2010-01-12
Changed in update-manager (Ubuntu):
status: Triaged → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.131.3

---------------
update-manager (1:0.131.3) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add missing check for ubuntu-security when testing for
      mirrors (thanks to Stuart Langridge)
  * DistUpgrade/DistUpgrade.cfg:
    - add example SlideshowUrl
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk.py:
    - add slideshow support based on webkit
    - call percent() JS method on the webkit view
  * check-new-release:
    - use exit codes if run with --quiet otherwise only print
      (LP: #494499)
  * DistUpgrade/DistUpgradeConfigParser.py:
    - fix crash in _interpolate (LP: #500705)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash on stat failure (LP: #496144)
  * UpdateManager/Core/MyCache.py:
    - do not crash if the lock can not be released (LP: #410574)
  * UpdateManager/SafeGConfClient.py
    - implement gconfclient that does not crash if gconf is not
      working (LP: #261471)
 -- Michael Vogt <email address hidden> Tue, 12 Jan 2010 18:15:52 +0100

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Daniel Kelly (dkellyhome) wrote :

As I tried to update to 11.10 I could not and it took me 12 hours of trying. So I placed my 11.04 disk in and ran that again.

Now things are running, but I know longer can get to my previous information.

Once again I tried to upgrade and got a message that said I needed more disk space and to empty trash (which has nothing in it) and then 'sudo apt-get-clean' so I went to the terminal and tried. It didn't recognize the 'apt' command.

I went to the update manager and tried to do an upgrade and it started and crashed.

Any help would be wonderful. Clearly, I don't know enough about Ubuntu and terminal commands. where can I learn more?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers